# stdex: stdex::basic_sys_object< T, TR > Class Template Reference

Loading...
Searching...
No Matches
stdex::basic_sys_object< T, TR > Class Template Reference

Operating system object base class. More...

`#include <stdex/system.hpp>`

Inheritance diagram for stdex::basic_sys_object< T, TR >:

## Public Member Functions

| basic_sys_object (T h=TR::invalid_handle)
| basic_sys_object (const basic_sys_object< T, TR > &other)
basic_sys_object & | operator= (const basic_sys_object< T, TR > &other)
| basic_sys_object (basic_sys_object< T, TR > &&other) noexcept
basic_sys_object & | operator= (basic_sys_object< T, TR > &&other) noexcept
virtual void | close ()
| Closes object.
| operator bool () const noexcept
| Returns true if object has a valid handle.
T | get () const noexcept
| Returns object handle.

## Protected Attributes

T | m_h

## Detailed Description

template<class T = sys_handle, class TR = sys_object_traits>
class stdex::basic_sys_object< T, TR >

Operating system object base class.

## Member Function Documentation

## close()

template<class T = sys_handle, class TR = sys_object_traits>

virtual void stdex::basic_sys_object< T, TR >::close | ( |  | ) |

inlinevirtual

Closes object.

Reimplemented in stdex::stream::basic_sys.

The documentation for this class was generated from the following file:

- include/stdex/system.hpp